<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Swagger</title>
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/swagger-ui/3.52.3/swagger-ui.min.css">

    <style type="text/css">
        html {
            background-color: rgb(30, 30, 30);
        }
        .swagger-ui {
            filter: invert(88%) hue-rotate(180deg);
        }
        .swagger-ui .highlight-code {
            filter: invert(100%) hue-rotate(180deg);
        }
    </style>
</head>
<body>
    <div id="app"></div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/swagger-ui/3.52.3/swagger-ui-bundle.min.js" charset="UTF-8"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/swagger-ui/3.52.3/swagger-ui-standalone-preset.min.js" charset="UTF-8"></script>
    <script>
        window.onload = function() {
            window.swagger = SwaggerUIBundle({
                url: "/openapi.json",
                dom_id: "#app",
                displayOperationId: true,
                filter: true,
                presets: [
                    SwaggerUIBundle.presets.apis,
                ],
            });
        };
    </script>
</body>
</html>
